> ## Documentation Index
> Fetch the complete documentation index at: https://docs.saucerswap.finance/llms.txt
> Use this file to discover all available pages before exploring further.

# REST API: List active farms

> List all active SaucerSwap yield farms with farm and pool ids, SAUCE and HBAR emission rates per second, and total staked LP token amounts per farm.



## OpenAPI

````yaml GET /farms
openapi: 3.0.4
info:
  title: SaucerSwap REST API
  version: 1.0.0
servers:
  - url: https://api.saucerswap.finance
    description: Mainnet
  - url: https://test-api.saucerswap.finance
    description: Testnet
security:
  - ApiKeyAuth: []
paths:
  /farms:
    get:
      tags:
        - Farms
      summary: Get list of active farms
      parameters:
        - $ref: '#/components/parameters/ApiKeyParam'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/Farm'
components:
  parameters:
    ApiKeyParam:
      name: x-api-key
      in: header
      required: true
      schema:
        type: string
        example: YOUR_API_KEY
      description: >-
        API key for authentication. Request a key from
        support@saucerswap.finance.
  schemas:
    Farm:
      type: object
      properties:
        id:
          description: SaucerSwap farm id
          type: integer
          example: 14
        poolId:
          description: SaucerSwap pool id
          type: integer
          example: 35
        sauceEmissions:
          type: number
          format: float
          example: 2.3062
          description: >-
            The amount of SAUCE emitted per second to the pool if the farm
            exists
        hbarEmissions:
          type: number
          format: float
          example: 0.0103
          description: The amount of HBAR emitted per second to the pool if the farm exists
        totalStaked:
          type: string
          example: '955338445589'
          description: Total staked LP amount in its smallest unit
      required:
        - id
        - poolId
        - sauceEmissions
        - hbarEmissions
        - totalStaked
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
      description: >-
        API key provisioned by the SaucerSwap team. Request one from
        support@saucerswap.finance and send it in the x-api-key header with
        every request.

````